% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/mstat.R
\name{dist.center.group}
\alias{dist.center.group}
\title{Builds the list of sample groups included in a circle around a central sample}
\usage{
dist.center.group(dtable, radius, center = TRUE)
}
\arguments{
\item{dtable}{a distance table between samples as 
computed by \code{\link{dist.grid}}}

\item{radius}{the radius of the circle}

\item{center}{a \code{logical} value indicating if the center of
the group must be included in the group}
}
\value{
a list of vectors containing the labels of the group members
}
\description{
Builds the list of sample groups included in a circle around a central sample
}
\examples{
data(termes)
termes.ok = termes[,colSums(termes$reads)>0]
pos = expand.grid(1:3 * 10,1:7 * 10)
labels = rownames(termes.ok)
d = dist.grid(pos[,1],pos[2],labels)
groups = dist.center.group(d,20)

}
