% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/mstat.R
\name{dist.clique.group}
\alias{dist.clique.group}
\title{Builds the list of sample groups including samples closest than a define distance}
\usage{
dist.clique.group(dtable, dmax, center = True)
}
\arguments{
\item{dtable}{a distance table between samples as 
computed by \code{\link{dist.grid}}}

\item{dmax}{the maximum distance between two samples}
}
\value{
a list of vectors containing the labels of the group members
}
\description{
A graph is build by applying the threshold \code{dmax} to the distance matrix
A group is a clique max in this graph. Consequently all member pairs of a group
are distant by less or equal to \code{dmax}.
}
\examples{
data(termes)
termes.ok = termes[,colSums(termes$reads)>0]
pos = expand.grid(1:3 * 10,1:7 * 10)
labels = rownames(termes.ok)
d = dist.grid(pos[,1],pos[2],labels)
groups = dist.clique.group(d,20)

}
