% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/mstat.R
\name{dist.grid}
\alias{dist.grid}
\title{Computes the pairwise distance matrix as a data.frame where}
\usage{
dist.grid(x, y, labels = NULL)
}
\arguments{
\item{x}{a vector for the X coordinates}

\item{y}{a vector for the Y coordinates}

\item{labels}{a vector with the sample names}
}
\value{
a data.frame instance of three columns
   - a : The label of the first sample
   - b : The label of the second sample
   - dist : The euclidian distance beween sample a and b
}
\description{
Computes the pairwise distance matrix as a data.frame where
}
\examples{
data(termes)
termes.ok = termes[,colSums(termes$reads)>0]
pos = expand.grid(1:3 * 10,1:7 * 10)
labels = rownames(termes.ok)
d = dist.grid(pos[,1],pos[2],labels)

}
