% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/obiclean.R
\docType{methods}
\name{extracts.obiclean,metabarcoding.data-method}
\alias{extracts.obiclean,metabarcoding.data-method}
\alias{extracts.obiclean-methods,metabarcoding.data}
\title{Extracts the obiclean results}
\usage{
\S4method{extracts.obiclean}{metabarcoding.data}(obj)
}
\arguments{
\item{obj}{the \code{\linkS4class{metabarcoding.data}} to analyze}
}
\value{
the modified \code{\linkS4class{metabarcoding.data}} instance
}
\description{
The method \code{extracts.obiclean} of the class \code{\linkS4class{metabarcoding.data}}
extracts \code{obiclean} results from the MOTUs descriptions include in the 
\code{\linkS4class{metabarcoding.data}} instance. 
When an \code{obitab} file is imported using the \code{\link{import.metabarcoding.data}}
if \code{obiclean} results are present in the file they are stored in the 
\code{motu} data.frame. By calling this methods, MOTU descriptors describing 
the \code{obiclean} status are moved to a set of layers.
}
\examples{

# load termite data set from the ROBITools sample data
data(termes)

# shows the initial list of layer names
layer.names(t)

# extracts the obiclean status
termes = extracts.obiclean(termes)

# shows the name of the newly created layers
layer.names(t)



}
\seealso{
\code{\linkS4class{metabarcoding.data}}, \code{\link{threshold.mask}}, \code{\link{normalize}}
}
\author{
Eric Coissac
}
