% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/taxonomy_classic_table.R
\name{get.classic.taxonomy}
\alias{get.classic.taxonomy}
\title{Get classical taxonomy format}
\usage{
get.classic.taxonomy(x, taxonomy, coltaxid)
}
\arguments{
\item{x}{a \code{\link{metabarcoding.data}} object}

\item{taxonomy}{a instance of \code{\linkS4class{taxonomy.obitools}}}

\item{coltaxid}{a the name of the column containing taxids to be used for creating classical taxonomic description}
}
\value{
returns a data.frame with the classical taxonomic description ("kingdom", "phylum", "class", "order", "family", "genus", "species"), as well as
        sequence taxonomic assignment rank and scientific name for each sequences stored in the \code{\link{metabarcoding.data}} object
}
\description{
Creates a table with the classical taxonomic description (from phylum to species)
}
\examples{

data(termes)

taxo=default.taxonomy()

termes.taxo.table = get.classic.taxonomy(termes, taxo, "taxid")
head(termes.taxo.table)

attr(termes, "motus") = data.frame(termes$motus, termes.taxo.table)

  
}
\seealso{
\code{\linkS4class{taxonomy.obitools}}, and methods \code{\link{species}},\code{\link{genus}}, \code{\link{family}},\code{\link{kingdom}},
         \code{\link{superkingdom}},\code{\link{taxonatrank}}, \code{\link{taxonmicank}}
}
\author{
Lucie Zinger
}
\keyword{taxonomy}
