% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/import.metabarcoding.R
\name{import.metabarcoding.data}
\alias{import.metabarcoding.data}
\title{Read a data file produced by the \code{obitab} command}
\usage{
import.metabarcoding.data(file, sep = "\\t", sample = "sample",
  sample.sep = "\\\\.", attribute = ":")
}
\arguments{
\item{file}{a string containing the file name of the obitab file.}

\item{sep}{Column separator in the obitab file. 
The default separator is the tabulation.}

\item{sample}{A regular expression allowing to identify columns 
from the file describing abundances of sequences per sample}

\item{sample.sep}{Separator between combined sample name.}

\item{attribute}{Separator used to split between sample 'tag' and sample name.}
}
\value{
a \code{\link{metabarcoding.data}} instance
}
\description{
Read a data file issued from the conversion of a \strong{fasta} 
file to a tabular file by the \code{obitab} command of the 
\strong{OBITools} package
}
\examples{
require(ROBITools)

\dontshow{# switch the working directory to the data package directory}
\dontshow{setwd(system.file("extdata", package="ROBITools"))}

# read the termes.tab file
termes=import.metabarcoding.data('termes.tab')

# print the number of samples and motus described in the file
dim(termes)
  
}
\seealso{
\code{\link{metabarcoding.data}}
}
\author{
Eric Coissac
}
\keyword{DNA}
\keyword{metabarcoding}
