% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/import.ngsfilter.R
\name{import.ngsfilter.data}
\alias{import.ngsfilter.data}
\title{Read ngsfilter text file}
\usage{
import.ngsfilter.data(file, platewell = NULL)
}
\arguments{
\item{file}{a string containing the file name for the \code{ngsfilter} command.}

\item{platewell}{a string corresponding to the tag used for storing the sample location
in the PCR plate. Should be of the form "nbPlate_Well" (e.g. "01_A02").
Default is \code{NULL}}
}
\value{
\code{\link{import.ngsfilter.data}} returns a \code{\link{data.frame}} instance
}
\description{
Reads  the text file used for assigning reads to samples with the
 \code{ngsfilter} command of the \strong{OBITools} package.
}
\examples{
\dontshow{# switch the working directory to the data package directory}
\dontshow{setwd(system.file("extdata", package="ROBITools"))}

data(termes)

# reading the termes_ngsfilt.txt file
termes.ngs=import.ngsfilter.data('termes_ngsfilt.txt', platewell="position")

# including ngsfilter data into termes data
attr(termes, "samples") = termes.ngs[rownames(termes),]

colnames(termes$samples)
  
}
\seealso{
\code{\link{import.metabarcoding.data}} and \code{\link{read.obitab}} for other methods of data importation
}
\author{
Lucie Zinger
}
\keyword{DNA}
\keyword{metabarcoding}
