% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/mstat.R
\name{m.univariate}
\alias{m.univariate}
\title{Computes the univariate M statistics}
\usage{
m.univariate(w, groups)
}
\arguments{
\item{w}{the weigth matrix indicating the presence probability of each motu
in each samples. Each line corresponds to a sample and each column
to a MOTU. \code{rownames} of the \code{w} matrix must be the sample
names.  It is nice but not mandatory if the \code{colnames} refer to the MOTU id.}

\item{groups}{the list of considered groups as computed by the \code{\link{dist.center.group}}
function}
}
\description{
Computes the univariate M statistics
}
\examples{
data(termes)
termes.ok = termes[,colSums(termes$reads)>0]
pos = expand.grid(1:3 * 10,1:7 * 10)
labels = rownames(termes.ok)
d = dist.grid(pos[,1],pos[2],labels)
groups = dist.center.group(d,20)
w = m.weight(termes.ok)
m = m.univariate(w,groups)

}
\references{
Marcon, E., Puech, F., and Traissac, S. (2012). 
            Characterizing the relative spatial structure of point patterns. 
            International Journal of Ecology, 2012.
}
\seealso{
\code{\link{dist.center.group}}

\code{\link{m.weight}}
}
