% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/02_class_metabarcoding.data.R
\docType{class}
\name{metabarcoding.data}
\alias{metabarcoding.data}
\title{DNA metabarcoding experiment description class}
\description{
A S4 class describing a DNA metabarcoding experiment. It groups
three data frames describing samples, motus and occurrences of 
MOTUs per sample
}
\section{Slots}{
 
 \describe{
   \item{\code{reads}:}{Matrix of class \code{"numeric"},  
                        containing the counts of reads per samples
                        \itemize{
                          \item{1 samples per line}
                          \item{1 sequence per column}
                        }
                       }
                       
   \item{\code{samples}:}{Object of class \code{"data.frame"}, describing samples
                        \itemize{
                          \item{1 samples per line}
                          \item{1 property per column}
                        }
                      }
                      
   \item{\code{motus}:}{Object of class \code{"data.frame"}, describing MOTUs (sequences)
                        \itemize{
                          \item{1 MOTU per line}
                          \item{1 property per column}
                        }
                      }
                      
   \item{\code{layers}:}{Object of class \code{"list"}, containing a set of data layers 
                         linking motus and samples. Each element of the list is a matrix
                         of the same size than the \code{read} slot with
                        \itemize{
                          \item{1 samples per line}
                          \item{1 sequence per column}
                        }
                      }
       
   \item{\code{scount}:}{Object of class \code{"integer"}, containing the count of sample}             
       
   \item{\code{mcount}:}{Object of class \code{"integer"}, containing the count of MOTUs}             
       
   \item{\code{sample.margin}:}{Vector of class \code{"numeric"},  describing the total count of 
                         sequence per sample. By default this slot is set by applying sum
                        to the reads data.frame lines}             

   \item{\code{taxonomy}:}{Object of class \code{"taxonomy.obitools"}, linking the DNA metabarcoding
                           experiment to a taxonomy}             
       
   \item{\code{taxid}:}{Vector of class \code{"character"}, list of MOTUs' attributes to manage as taxid}             
 }
}

\seealso{
\code{\link{taxonomy.obitools}},
}
\author{
Eric Coissac
}
\keyword{DNA}
\keyword{metabarcoding}
