% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/plot.seqinsample.R
\name{plot.seqinsample}
\alias{plot.seqinsample}
\title{Plot sequence abundance in samples}
\usage{
\method{plot}{seqinsample}(x, seqset, seqtype, controls = NULL)
}
\arguments{
\item{x}{a \code{\link{metabarcoding.data}} object}

\item{seqset}{a vetcor with sequences names}

\item{seqtype}{a string indicating what type of sequences are displayed}

\item{controls}{a vector indicating the negative controls names in the x object.
Default is \code{NULL}}
}
\value{
returns a plot with the log10 transformed relative porportion of 
        selected MOTUs in each samples. If the number of samples is > 96,
        then the plot is displayed in 4 panels
}
\description{
Plots relative abundances of a set of sequences in all samples (log10 transformed)
}
\examples{

data(termes)

seqset = rownames(termes$motus)[which(termes$motus$genus_name=="Anoplotermes")]
plot.seqinsample(termes, seqset, "Anoplotermes")

controls = rownames(termes)[grep("r", rownames(termes))]
seqset = rownames(termes$motus)[which(termes$motus$best_identity<0.7)]
plot.seqinsample(termes, seqset, "Not assigned", controls)

}
\seealso{
\code{\linkS4class{taxonomy.obitools}}, and method \code{\link{taxonmicank}}
}
\author{
Lucie Zinger
}
\keyword{metabarcoding}
