% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/read.obitab.R
\name{read.obitab}
\alias{read.obitab}
\title{Reads a data file produced by the obitab command}
\usage{
read.obitab(filename, sep = "\\t")
}
\arguments{
\item{sep}{Column separator in the obitab file. 
The default separator is the tabulation.}

\item{file}{a string containing the file name of the obitab file.}
}
\value{
a \code{data.frame} instance containing the obitab file
}
\description{
Read a data file issued from the convertion of a fasta 
file to a tabular file by the obitab command
}
\examples{
require(ROBITools)

\dontshow{# switch the working directory to the data package directory}
\dontshow{setwd(system.file("extdata", package="ROBITools"))}

# read the termes.tab file
termes=read.obitab('termes.tab')

# print the dimensions of the data.frame
dim(termes)
  
}
\seealso{
\code{\link{import.metabarcoding.data}}
}
\author{
Eric Coissac
}
