% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/taxonomic.resolution.R
\name{summary.taxores}
\alias{summary.taxores}
\title{Dataset taxonomic resolution summary.}
\usage{
\method{summary}{taxores}(x, colranks, colscores, thresh = 0.7)
}
\arguments{
\item{x}{a \code{\link{metabarcoding.data}} object}

\item{colranks}{a string indicating column name where ranks are stored in \code{x}}

\item{colscores}{a string indicating column name where taxonomic identification scores are stored in \code{x}}

\item{thresh}{a threshold for defining at which taxonomic identification scores a sequence can be considered as "not assigned". 
Default is \code{0.7}}
}
\value{
returns a data.frame and piecharts of the number/proportion of MOTUs/reads assigned to each taxonomic levels
}
\description{
Summarizes the taxonomic relution of reads and MOTUs over the entire dataset
}
\examples{

data(termes)
taxo=default.taxonomy()

termes.taxo.table = get.classic.taxonomy(termes, taxo, "taxid")
attr(termes, "motus") = data.frame(termes$motus, termes.taxo.table)
attr(termes, "motus")["count"] = colSums(termes$reads)

summary.taxores(termes, "taxonomic_rank_ok","best_identity")

}
\seealso{
\code{\linkS4class{taxonomy.obitools}}, and method \code{\link{taxonmicank}}
}
\author{
Lucie Zinger
}
\keyword{taxonomy}
