% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/metabarcoding_threshold.R
\docType{methods}
\name{threshold.mask,metabarcoding.data-method}
\alias{threshold.mask,metabarcoding.data-method}
\alias{threshold.mask-methods,metabarcoding.data}
\title{Computes a cumulatif thresold mask for filtering read aboundancies.}
\usage{
\S4method{threshold.mask}{metabarcoding.data}(data, MARGIN, threshold = 0.97,
  operator = "<")
}
\arguments{
\item{data}{The \code{\linkS4class{metabarcoding.data}} instance
on normalisation have to be computed.}

\item{MARGIN}{Indicates if the sums have to be computed across 
samples or motus. 
Allowed values are :
\itemize{
  \item{'sample' or 1} for computing sum across samples
  \item{'motu' or 2} for computing sum across motus
  }}

\item{threshold}{a numeric value between 0 and 1 indicating which part of 
the signal must be conserved. Default value is setup to
0.97 (97% of the total signal).}

\item{operator}{is a logical comparison operator.}
}
\value{
A logical matrix usable for selecting cell in the read aboundancy matrix.
}
\description{
The method \code{threshold.mask} of the class \code{\linkS4class{metabarcoding.data}}
computes a logical matrix of the same size than the read matrix of the data parameter.
Each cell of this matrix contains a \code{TRUE} or a \code{FALSE} value according to the
relationship existing between the read abondancy and the corresponding theshold as computed
by the \code{\link{theshold}} method.
}
\details{
(computed value) = (read aboundancy) operator (threshold value)

for a cell in the result matrix, \code{(read aboundancy)} is extracted from the read layer.
\code{operator} is a comparaison operator and \code{(threshold value)} is estimated with the
\code{\link{theshold}} method.
}
\seealso{
\code{\linkS4class{metabarcoding.data}}, \code{\link{threshold.mask}}, \code{\link{threshold}}
}
\author{
Aurelie Bonin
}
